from cpl_core.console import Console

from py_to_uxf_core.abc.file_scanner_abc import FileScannerABC
from py_to_uxf_core.abc.python_parser_abc import PythonParserABC


class PythonParserService(PythonParserABC):

    def __init__(self, file_scanner: FileScannerABC):
        PythonParserABC.__init__(self)

        self._file_scanner = file_scanner

    def parse(self):
        files = self._file_scanner.scan_files()
        files.for_each(lambda f: Console.write_line(f))
